Home

# Class goog.testing.DeferredTestCase

A test case that can asynchronously wait on a Deferred object.

extends goog.testing.AsyncTestCase

Instance Method Summary
| `addWaitForAsync(string msg, ?goog.async.Deferred d)` Adds a callback to update the wait message of this async test case. Using this method generously also helps to document the test flow.
| `onError((Error|null|string) err)` Handler for when the test produces an error.
| `onSuccess()` Handler for when the test succeeds.
| `waitForDeferred((goog.async.Deferred|null|string) a, ?goog.async.Deferred= opt_b)` Wires up given Deferred object to the test case, then starts the goog.async.Deferred object's callback.

Static Method Summary
| `createAndInstall(string= opt_name) ⇒ ?goog.testing.DeferredTestCase` Preferred way of creating a DeferredTestCase. Creates one and initializes it with the G_testRunner.